Subject: Re: bug#25355: 26.0.50; Provide function to non-destructively replace buffer contents

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Jun 2017 19:06:45 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Sat, 17 Jun 2017 13:47:48 +0000
> Cc: [email-masked]
> 
>  Apparently I didn't look closely enough: Diffutils uses an implementation of the Myers algorithm from
>  Gnulib, which is customizable enough to fit our needs. I've attached a patch that uses Gnulib. 
> 
> I've pushed a slightly modified version of this patch as d682f0daa3. 

Thanks.  Could you also update the manuals with the information about
the new function?  After doing that, please mark the NEWS entry with
"+++".

Btw, while compiling I see this warning:

  In file included from editfns.c:3139:0:
  ../lib/diffseq.h: In function 'diag':
  ../lib/diffseq.h:210:12: warning: variable 'big_snake' set but not used [-Wunused-but-set-variable]
	 bool big_snake = false;
	      ^